/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import {makeAxiosPutRequest} from '../HelperFunctions/getAxiosConfig.js'


export function SendInfo (fieldName, payload, draftID) {
    const key = fieldName
    let value = payload
    if (key === "tags") {
        value = payload.map( (tag, index) =>
            index = { "name" : tag}
        )
    }

    const putObject = {
        "learning_object" : {
            "id" : draftID
        }
    }
    putObject.learning_object[key] = value

    const url = `/learning_objects/${draftID}`

    makeAxiosPutRequest(url, putObject, (data) => {console.log(data)}, (error) => {console.log(error)})
}
